import { JavaObject } from '../../../java/lang/JavaObject';
import { ENMFloskel } from '../../../core/data/enm/ENMFloskel';
import { Vector } from '../../../java/util/Vector';
export declare class ENMFloskelgruppe extends JavaObject {
    kuerzel: String | null;
    bezeichnung: String | null;
    hauptgruppe: String | null;
    readonly floskeln: Vector<ENMFloskel>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMFloskelgruppe;
    static transpilerToJSON(obj: ENMFloskelgruppe): string;
    static transpilerToJSONPatch(obj: Partial<ENMFloskelgruppe>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMFloskelgruppe(obj: unknown): ENMFloskelgruppe;
